Talk:Installing ADempiere 3.7.0 on Ubuntu 11.04

From ADempiere ERP Wiki
Jump to navigationJump to search

Thanks for posting these instructions. I have previously installed on Ubuntu utilising a slightly different method so was keen to try this one.

Issues encountered with this process which require instruction modifications:

  • 1) The port 80 and 443 cannot be used by a normal user (adempiere) so I altered ports to 8080 and 8443.and also user adempiere cannot sudo unless made an administrator. Instructions probably need to be more specific about rights granted to adempiere user.
  • 2) There is a problem with running the step ./RUN_ImportAdempiere.sh when the user and database don't exist, so I manually created the database and then the user and the script ran OK.
  • 3) I notice that there is data in the dump file which doesn't import because it is too long for the column - info scrolled off the screen buffer too fast :-(

--ar_howard 01:23, 13 September 2011 (UTC)

Hello!

  • You are right about 1, I changed the text already, its better for ADempiere to be on a different port than 80. But seeing that the default was changed to 80 I thought there is a reason behind it.
  • With point 2, can it be that you arent using a fresh system with an adempiere user? The first things the ./RUN_ImportAdempiere.sh script does is to drop the database if it exists and then re-create it. The error message you got was maybe because the user adempiere wasnt the superuser.We could expand the howto a bit for this scenario, but I chose not to since I wanted to keep it as simple as possible for someone starting. TO make the howto more complete, it should be there though.
  • I did not have any errors during import appart from the few lines at the top. Maybe that is connected to issue 2?

Thank you very much for your input! --VassilisV 07:01, 13 September 2011 (UTC)

Excellent work, I have been able to follow with breeze. Just one obstacle about java version warning when I RUN_silentsetup.sh. Then I found this discussion --> http://sourceforge.net/tracker/index.php?func=detail&aid=2011457&group_id=176962&atid=879332 After fix it, it is OK. Don't you have the same problem? --Kittiu 12:23, 15 September 2012 (UTC)

Hi! I didnt have any such problem.. Back then, when installing default-jdk it installed openJDK 1.6.0 and by setting the JAVA_HOME=/usr/lib/jvm/default-java it was all working. Did you also try it on a 11.04 Ubuntu with Postgres 8.4? The link you posted is about Ubuntu 8.04 with Postgres 8.3 and sun-java. Vassilis 06:50, 17 September 2012 (UTC) PS: After reading this http://sourceforge.net/projects/adempiere/forums/forum/610547/topic/5655308 comment from Trifon I guess I missed it that one should use Postgres 9.0 with Adempiere 3.7.0.. Didnt see that in the release notes.. Vassilis 14:41, 17 September 2012 (UTC)

Release End of Life[edit]

Ubuntu 11.04 is Release End of Life (Message appears, after trying to get updates)